import net.homeip.mleclerc.omnilink.Communication;
import net.homeip.mleclerc.omnilink.enum.SystemTypeEnum;

public class Main
{
    private final static SystemTypeEnum SYSTEM_TYPE = SystemTypeEnum.AEGIS;
    private final static String COM_PORT = "COM1";
    private final static int BAUD_RATE = 9600;
    private final static String INIT_STRING = null; // For modem connection, use "AT&FX0S0=0S10=20&C1&D2";
    private final static String CONNECT_STRING = null; // For modem connection, use "ATS11=150DT###1" + LOGIN_CODE;

    public static void main(String[] args)
    {
        Communication comm = new Communication(SYSTEM_TYPE, COM_PORT, BAUD_RATE, INIT_STRING, CONNECT_STRING);
        Console cons = new Console(comm);
        cons.run();
    }
}
